<?php
	//初期データ読み込み
	include 'ini_mapinfo.php';
	$xml = new SimpleXMLElement($xmlstr);
	for ($i =0;$i < count($xml);$i++){
		$domain_name = trim($xml->value[$i]->domain);
		$port_number = trim($xml->value[$i]->port);
		$google_key = trim($xml->value[$i]->googlekey);
		$ini_mapinfo = trim($xml->value[$i]->ini_mapinfo);
		
		$ini_mapinfo_list = split(",",$ini_mapinfo);
		//GoogleMap初期データ
		$ido = $ini_mapinfo_list[0];
		$keido = $ini_mapinfo_list[1];
		$zoomlevel = $ini_mapinfo_list[2];
	}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"  xmlns:v="urn:schemas-microsoft-com:vml" lang="ja" xml:lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<title>TSP</title>
<style type="text/css">
v\:* {
behavior:url(#default#VML);
}
</style>
<link href="http://www.google.com/uds/css/gsearch.css" type="text/css" rel="stylesheet"/>

<?php
	print('<script src="http://www.google.com/uds/api?file=uds.js&v=0.1&key=' . $google_key . '" type="text/javascript"></script>');
	print('<script src="http://maps.google.com/maps?file=api&v=2&key=' . $google_key . '" type="text/javascript"></script>');
?>
<!--[if IE]><script type="text/javascript" src="excanvas.js"></script><![endif]-->

<script type="text/javascript" src="tsp-script.js"></script>
</head>
<body onLoad="navifreeload()">
<FORM name="freenavimap">
<div id="message" style="width:500px;height:40px;top:0px;left:0px;position:absolute;z-index:1;visibility:visible;">
	<BR>
	&nbsp&nbsp&nbsp&nbsp
	&nbsp&nbsp&nbsp&nbsp
	&nbsp&nbsp&nbsp&nbsp
	<b><font color="#0000ff" size=3>巡回セールスマン問題（解）</font></b>
</div>

<div id="vert_line" style="width:1px;height:40px;top:275px;left:259px;position:absolute;z-index:9;visibility:visible;">
<?php
	print('<img src="http://' . $domain_name . '/TSP_SRV/iconimage/vert_line.jpg">');
?>
</div>
<div id="hori_line" style="width:40px;height:1px;top:279px;left:240px;position:absolute;z-index:8;visibility:visible;">

<?php
	print('<img src="http://' . $domain_name . '/TSP_SRV/iconimage/hori_line.jpg">');
?>



</div>
<div id="navimap" style="width:500px;height:500px;top:50px;left:10px;position:absolute;z-index:7;visibility:visible;"></div>
	
<div id="mapnavi" style="width:280px;height:500px;top:50px;left:0px;position:absolute;z-index:6;border:2px solid blue;visibility:hidden;">
<BR>
<div id="mapnaviMenu-1">
&nbsp&nbsp&nbsp&nbsp ■住所・一般名称で移動<BR>
&nbsp&nbsp&nbsp&nbsp <input type="text" id="realaddress" size=25 value="" />
<input type="button" id="addressmove" value="移動" onclick="addressnavi()" />
</div>

<div id="getroute" >
<BR>
<BR>
&nbsp&nbsp&nbsp&nbsp 巡回セールスマン問題(解)

&nbsp&nbsp&nbsp&nbsp <input type="button" id="getnodecoord" value="ノード取得" onClick="get_Coord_2()">

&nbsp&nbsp&nbsp&nbsp <textarea id="tspnode" wrap=virtual style="font-size:8pt" rows=4 cols=35 value=""></textarea>

&nbsp&nbsp&nbsp&nbsp <input type="button" id="requestnodedata" value="TSP描画1" onClick="request_nodedata()">

&nbsp&nbsp&nbsp&nbsp <input type="button" id="drawtspnode" value="TSP描画2" onClick="draw_tspnode()">
<!--<img id="loading_img" src="" >-->

<textarea id="tspnode_connection" wrap=virtual style="font-size:8pt;visibility:hidden;" rows=4 cols=8 value="" ></textarea>

&nbsp&nbsp&nbsp&nbsp <input type="button" id="routeclear" value="ルートデータ消去" onClick="clearroute()">

<div id="nodeconnection" style="width:100px;height:100px;top:250px;left:50px;position:absolute;z-index:4;border:2px solid black;visibility:hidden;";>
node connection
</div>

&nbsp&nbsp&nbsp&nbsp 
<input type="button" id="ctrl" value="コントロール非表示" onclick="ctrl_showhide()" />

&nbsp
<input type="button" id="printpage" value="印刷" onclick="Print_Page()" />

&nbsp&nbsp&nbsp&nbsp <input type="button" id="makeroutekml" value="ルートKML作成" onClick="makeroute_KML()" />

&nbsp&nbsp&nbsp&nbsp <input type="button" id="makerouteplain" value="ルートプレイン作成" onClick="makeroute_PLAIN()" />

&nbsp&nbsp&nbsp&nbsp <input type="button" id="newgeocoding" value="新ジオコーディング" onClick="new_geocoding()" />
	
&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="restorepage" value="表示を戻す" onClick="Restore_Page()" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="controlhide" value="コントロールを隠す" onClick="control_hide()" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="controlshow" value="コントロールを表示" onClick="control_show()" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="setzoomlevel" value="セットズームレベル" onClick="set_zoomlevel()" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="getzoomlevel" value="ゲットズームレベル" onClick="get_zoomlevel()" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="getmaptype" value="ゲットマップタイプ" onClick="get_maptype()" />
	
&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="setmaptypenormal" value="ノーマル地図" onClick="set_maptype('normal')" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="setmaptypesatellite" value="航空写真" onClick="set_maptype('satellite')" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="setmaptypenormalsate" value="地図写真" onClick="set_maptype('normalsate')" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="setmaptypechikei" value="地形地図" onClick="set_maptype('chikei')" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="setmaptypeearth" value="アース" onClick="set_maptype('earth')" />
	
&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="zoominclick" value="ズームインクリック" onClick="map_zoom_click('in')" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="zoomoutclick" value="ズームアウトクリック" onClick="map_zoom_click('out')" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="sethomeposition" value="ホームポジションセット" onClick="set_homeposition()" />
	
&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="mappanleftup" value="左上に移動" onClick="set_mapdirection(1,1)" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="mappanup" value="上に移動" onClick="set_mapdirection(0,1)" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="mappanrightup" value="右上に移動" onClick="set_mapdirection(-1,1)" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="mappanleft" value="左に移動" onClick="set_mapdirection(1,0)" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="mappancenter" value="中央に移動" onClick="set_mapcenter()" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="mappanright" value="右に移動" onClick="set_mapdirection(-1,0)" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="mappanleftdown" value="左下に移動" onClick="set_mapdirection(1,-1)" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="mappandown" value="下に移動" onClick="set_mapdirection(0,-1)" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="mappanrightdown" value="右下に移動" onClick="set_mapdirection(-1,-1)" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="hidemarker" value="マーカーを隠す" onClick="sh_marker('hide')" />

&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="showmarker" value="マーカーを表示する" onClick="sh_marker('show')" />




&nbsp&nbsp&nbsp&nbsp <input type="hidden" id="testjob" value="テスト" onClick="test_job()" />




</div>

<div id="addnaviwait_loader" style="visibility:visible"></div>
	
</div>
<!-- ++++++++++++++++++++++++++++++++++ -->
<div>
<?php
print('<input type="hidden" id="domain" size=25 value="' . $domain_name . '" />');
print('<input type="hidden" id="port" size=25 value="' . $port_number . '" />');
print('<input type="hidden" id="ini_ido" size=25 value="' . $ido . '" />');
print('<input type="hidden" id="ini_keido" size=25 value="' . $keido . '" />');
?>

<input type="hidden" id="ido_byo_10" size=25 value="" />
<input type="hidden" id="keido_byo_10" size=25 value="" />
<input type="hidden" id="mapzoomlevel" value=""/>
<input type="hidden" id="mapido" value=""/>
<input type="hidden" id="mapkeido" value=""/>
<input type="hidden" id="maptype" value=""/>
<input type="hidden" id="getaddressflag" value=""/>
<input type="hidden" id="tspconnectlist" value=""/>
<!--<input type="hidden" id="multicoords" value=""/>-->

<!-- +++++++++++++++++ -->
<input type="hidden" id="unitnode" value=""/>
<input type="hidden" id="sesid" value=""/>
<input type="hidden" id="tspnodedata" value=""/>
<input type="hidden" id="dragnumber" value=""/>
<input type="hidden" id="delnumber" value=""/>
<input type="hidden" id="connectlistarray" value=""/>
<input type="hidden" id="coordlistarray" value=""/>
<!-- +++++++++++++++++ -->
</div>

</FORM>



</FORM>
</body>
</html>
